slurmrestd(8)

NAME
slurmrestd - Interface to Slurm via REST API.

SYNOPSIS
slurmrestd [OPTIONS...] <[host]:port|unix:/path/to/socket>

DESCRIPTION
slurmrestd is REST API interface for Slurm. It can be used in two modes:

Inetd Mode: slurmrestd will read and write to STDIN and STDOUT. It can detect if
    it is connected to a socket or a locally TTY (interactive mode).

Listen Mode: slurmrestd will open a listening socket on each requested
    host:port pair or UNIX socket.

OPTIONS

[host]:port
    Hostname and port to listen against. Host may be (IPv4/IPv6) IP or a resolvable hostname. Hostnames are only looked up at startup and do not change for the life of the process. Host is optional; if not provided slurmrestd will listen on all network interfaces.

unix:/path/to/socket
    Listen on local UNIX socket. Must have permission to create socket in filesystem.

-a <authentication plugins>
    Comma delimited list of authentication plugins to load. Set to "list" to dump a list of the possible plugins to load. Defaults: all builtin supported REST authentication plugins.

-f <file>
    Read Slurm configuration from the specified file. See NOTES below.

-g <group id>
    Change group id (and drop supplemental groups) before processing client request. This should be a unique group with no write access or special permissions. Do not set this user to SlurmUser or root.

-h  Help; print a brief summary of command options.

-s <OpenAPI plugins to load>
    Comma delimited list of OpenAPI plugins. Set to "list" to dump a list of the possible plugins to load. Defaults: all builtin supported OpenAPI plugins.

-t <THREAD COUNT>
    Specify number of threads to use to process client connections. Ignored in inetd mode. Default: 20

-u <user id>
    Change user id before processing client request. This should be a unique group with no write access or special permissions. Do not set this user to SlurmUser or root.

-v  Verbose operation. Multiple -v's increase verbosity. Higher verbosity levels will have significant performance impact.

-V  Print version information and exit.

ENVIRONMENT VARIABLES
The following environment variables can be used to override settings compiled into slurmctld.

SLURM_CONF
    The location of the Slurm configuration file.

SLURMRESTD_AUTH_TYPES
    Set allowed authentication types. See -a

SLURMRESTD_DEBUG
    Set debug level explicitly. Valid values are 1-10. See -v

SLURMRESTD_LISTEN
    Comma delimited list of host:port pairs or unix sockets to listen on.

SLURMRESTD_OPENAPI_PLUGINS
    Comma delimited list of OpenAPI plugins to load. See -s

SIGNALS

SIGINT
    slurmrestd will shutdown cleanly.

SIGPIPE
    This signal is explicitly ignored.

NOTES
slurmrestd is designed to run with AuthAltTypes outside of the Munge cluster when configured AuthAltTypes supports this.

COPYING
Copyright (C) 2019-2020 SchedMD LLC.

This file is part of Slurm, a resource management program. For details, see <https://slurm.schedmd.com/>.

Slurm is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Slurm is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5), slurmctld(8), slurmdbd(8)